.andon-select{
  position: relative;
  .andon-group-input {
    border: 1px #ccc solid;
    border-radius: 4px;
    width: 100%;
    min-width: 120px;
    background-color: white;
  }
  .andon-group-input input,
  .andon-group-input input:focus {
    border: 0px;
    -webkit-box-shadow: none;
    outline: none;
  }

  .andon-group-input input {
    display: inline-block;
  }
  .andon-input-wrapper {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -moz-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    -moz-align-items: center;
    align-items: center;
    -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s; }
  .andon-input-wrapper .andon-left {
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    -moz-box-flex: 1;
    -moz-flex: 1;
    -ms-flex: 1;
    flex: 1;
  }
  .andon-input-wrapper .andon-right {
    min-width: 2rem;
    text-align: center;
    color: #cccccc;
  }
  .andon-input-wrapper .andon-right:hover{
    cursor: pointer;
  }
  .andon-input-wrapper.focus {
    -webkit-box-shadow: 0px 0px 8px rgba(3, 136, 247, 0.5);
    box-shadow: 0px 0px 8px rgba(3, 136, 247, 0.5);
    border: 1px solid #66afe9;
  }
  .andon-dropdown-menu{
    width: 100%;
    height: auto;
    max-height: 200px;
    overflow-x: hidden;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    float: left;
    min-width: 160px;
    padding: 5px 0;
    font-size: 14px;
    text-align: left;
    list-style: none;
    display: none;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgba(0,0,0,.175);
    box-shadow: 0 6px 12px rgba(0,0,0,.175);
    .andon-select-choices-row{
      cursor: pointer;
      text-decoration: none;
      display: block;
      padding: 3px 20px;
      clear: both;
      font-weight: 400;
      line-height: 1.42857143;
      color: #333;
      white-space: nowrap;
    }
    .andon-select-choices-row:hover{
      color: #262626;
      text-decoration: none;
      background-color: #f5f5f5;
    }
  }
}